Bug 840684 - [abrt] remmina-1.0.0-4.fc17: __GI_raise: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
[abrt] remmina-1.0.0-4.fc17: __GI_raise: Process /usr/bin/remmina was killed ...
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-16 18:24 EDT by neil
Modified: 2013-07-31 18:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 18:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: build_ids (4.72 KB, text/plain)
2012-07-16 18:24 EDT, neil
no flags Details
File: dso_list (11.66 KB, text/plain)
2012-07-16 18:24 EDT, neil
no flags Details
File: maps (56.26 KB, text/plain)
2012-07-16 18:24 EDT, neil
no flags Details
File: backtrace (27.30 KB, text/plain)
2012-07-16 18:24 EDT, neil
no flags Details

  None (edit)
Description neil 2012-07-16 18:24:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        remmina
crash_function: __GI_raise
executable:     /usr/bin/remmina
kernel:         3.4.4-5.fc17.x86_64
pid:            3217
pwd:            /home/neil
time:           Mon 16 Jul 2012 23:19:17 BST
uid:            1000
username:       neil

backtrace:      Text file, 27959 bytes
build_ids:      Text file, 4838 bytes
dso_list:       Text file, 11941 bytes
maps:           Text file, 57606 bytes


:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 __GI_raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 __GI_abort libc.so.6 -
:458118a56e4684bd51c51aee74e26a15161da7e3 0x3654e pa_queue_push libpulsecommon-1.1.so -
:458118a56e4684bd51c51aee74e26a15161da7e3 0x3415e pa_pstream_send_packet libpulsecommon-1.1.so -
:458118a56e4684bd51c51aee74e26a15161da7e3 0x339e0 pa_pstream_send_tagstruct_with_creds libpulsecommon-1.1.so -
:f58f7f7a0f2c00780839246fd972e56e971e27d8 0x2b654 pa_stream_update_timing_info libpulse.so.0 -
:f58f7f7a0f2c00780839246fd972e56e971e27d8 0x2b8ee request_auto_timing_update libpulse.so.0 -

:'LESSOPEN=||/usr/bin/lesspipe.sh %s'

:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 125566               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       125566               125566               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

:pos:	0
:flags:	0100000
:pos:	5506
:flags:	0102002
:pos:	5506
:flags:	0102002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004000
:pos:	0
:flags:	02004002
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	04000
:pos:	0
:flags:	01
:pos:	0
:flags:	04002
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	00
:pos:	0
:flags:	01
:pos:	0
:flags:	02004000
:pos:	0
:flags:	02004000
:pos:	0
:flags:	02004001
:pos:	0
:flags:	02004001
:pos:	0
:flags:	02004002
:pos:	0
:flags:	02004002

:Jul 15 19:13:04 fedora abrt[15829]: Saved core dump of pid 8675 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-07-15-19:12:50-8675 (1291968512 bytes)
:Jul 15 20:54:33 fedora abrt[16356]: Saved core dump of pid 16021 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-07-15-20:54:32-16021 (96264192 bytes)
:Jul 15 21:49:36 fedora abrt[16786]: Saved core dump of pid 16561 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-07-15-21:49:30-16561 (405983232 bytes)
:Jul 15 22:17:55 fedora abrt[16999]: Saved core dump of pid 16852 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-07-15-22:17:50-16852 (339726336 bytes)
:Jul 16 23:19:20 fedora abrt[29760]: Saved core dump of pid 3217 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-07-16-23:19:17-3217 (154521600 bytes)
Comment 1 neil 2012-07-16 18:24:16 EDT
Created attachment 598528 [details]
File: build_ids
Comment 2 neil 2012-07-16 18:24:18 EDT
Created attachment 598529 [details]
File: dso_list
Comment 3 neil 2012-07-16 18:24:20 EDT
Created attachment 598530 [details]
File: maps
Comment 4 neil 2012-07-16 18:24:22 EDT
Created attachment 598531 [details]
File: backtrace
Comment 5 Alan Ernhart 2012-07-21 10:29:34 EDT
I was using remmina for RDP to remote Win7x64 SP1 system. I'd meant to minimize the remmina remote window, but instead somehow made it half-size (I probably hit Restore). When I wanted to maximize it again, I found it half-size and went to Mazimize it. That's when it crashed. I don't recall whether I double-clicked its title bar to max it, or whether I used the Max button on the its title bar (I move fast and w/o thinking when I'm not testing *this* product).

I use remmina very often and sucessfully to this and other remote systems, and in this manner (maximized, minmizied, and back again), so if this is reproducible, it's likely around the steps above, or something coincidental that I'm not aware of.

backtrace_rating: 4
Package: remmina-1.0.0-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Alan Ernhart 2012-07-21 10:47:53 EDT
(In reply to comment #5)

The min/max steps in my comment now seem unrelated; remmina just crashed again, while I was only working with the remote system, with remmmina window maximized. So my next hunch about a cause would be (maybe) my update of gtk3 yesterday:

    Updated gtk3-3.4.3-2.fc17.x86_64                         @anaconda-0
    Update       3.4.4-1.fc17.x86_64                         @updates

I may let ABRT process the new crash in hopes that it can determine whether this second crash would add any useful info; I dont' want to populate this BZ with extra info that doesn't add value.
Comment 7 Chris 2012-10-02 11:37:59 EDT
I was remoted into a rdp session and when I tried to click on a icon in the desktop it crashed out	

backtrace_rating: 4
Package: remmina-1.0.0-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 17:30:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 18:38:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.